Skip to main content

Create Caller ID Resource

API Description

Create a new caller ID resource.

Request

URI Parameters

NameInput
orgId
REQUIRED
brandId
REQUIRED
Path Template
POST {url}/api/{version}/orgs/{orgId}/brands/{brandId}/caller-ids
Path Example
POST {url}/api/v1/orgs/9467895078742654934/brands/9467895078742654921/caller-ids

Request Headers

NameInput
Authorization
REQUIRED
Content-Type
REQUIRED
Example Request Headers
Authorization: Bearer <access_token>
Content-Type: application/json

Request Body

NameInput
$.callerIdDetails
REQUIRED
Example Request Body (raw JSON)
{
"callerIdDetails": {
"phoneNumber": "+18005555555",
"department": "department.general.support.customer_service"
}
}

Response

201 Created or Error

Response Headers

Name
apple-request-id
content-type
etag
location
Example Response Headers
HTTP/1.1 201 Created
apple-request-id: 90e37155-2e8a-4584-b72f-e07d54e45c92
content-type: application/json
etag: "7c752ec0-5d45-11ee-a464-325096b39f47"
location: /api/v1/orgs/9467895078742654934/brands/9467895078742654921/caller-ids/9467895078742654966

Response Body

NameOutput
$.orgId
REQUIRED
$.brandId
REQUIRED
$.id
REQUIRED
$.createdDate
REQUIRED
$.updatedDate
REQUIRED
$.state
REQUIRED
$.etag
REQUIRED
$.callerIdDetails
REQUIRED
$.validationReports[]
CONDITIONAL
Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"brandId": "9467895078742654921",
"id": "9467895078742654966",
"createdDate": "2026-10-02T11:41:00Z",
"updatedDate": "2026-10-02T11:41:00Z",
"state": "SUBMITTED",
"etag": "7c752ec0-5d45-11ee-a464-325096b39f47",
"callerIdDetails": {
"phoneNumber": "+18005555555",
"department": "department.general.support.customer_service"
},
"validationReports": []
}